# IRdNtCtxInfo Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | Add ([in] BSTR bstrObjName,[in] IID iidObj,[in] RtQWORD qwSize)
HRESULT | GetCount ([out, retval] RtDWORD *pdwCount)
HRESULT | GetIID ([in] RtDWORD dwInd,[out, retval] IID *piidObj)
HRESULT | GetStSize ([in] RtDWORD dwInd,[out, retval] RtQWORD *pqwSize)
HRESULT | GetName ([in] RtDWORD dwInd,[out, retval] BSTR *pbstrName)
HRESULT | FindByName ([in] BSTR bstrName,[out, retval] RtDWORD *pdwInd)

## Detailed Description

Object store base information about a Context.

## Member Function Documentation

HRESULT IRdNtCtxInfo::Clear | ( | void |  | ) |

Clear.

HRESULT IRdNtCtxInfo::Add | ( | [in] BSTR | bstrObjName,
|  | [in] IID | iidObj,
|  | [in] RtQWORD | qwSize |
| ) |  |  |

Assign an object to this ctx info.

Parameters:

  | bstrObjName | [in] Object name Id.
  | iidObj | [in] Cache IID.
  | qwSize | [in] Size of the serialized object.

HRESULT IRdNtCtxInfo::GetCount | ( | [out, retval] RtDWORD * | pdwCount | ) |

GetCount of the assigned objects.

Returns:
  pdwCount [out,retval] Returns number of the assigned objects to this ctx info.

HRESULT IRdNtCtxInfo::GetIID | ( | [in] RtDWORD | dwInd,
|  | [out, retval] IID * | piidObj |
| ) |  |  |

Get cache IID of the specified object by index.

Parameters:

  | dwInd | [in] Specify index of the assigned object.

Returns:
  piidObj [out,retval] Returns cache IID of the assigned object.

HRESULT IRdNtCtxInfo::GetStSize | ( | [in] RtDWORD | dwInd,
|  | [out, retval] RtQWORD * | pqwSize |
| ) |  |  |

Get stream size of the specified object by index.

Parameters:

  | dwInd | [in] Specify index of the assigned object.

Returns:
  pqwSize [out,retval] Returns stream size of the serialized object.

HRESULT IRdNtCtxInfo::GetName | ( | [in] RtDWORD | dwInd,
|  | [out, retval] BSTR * | pbstrName |
| ) |  |  |

Call to get name id of an object by storage index.

Parameters:

  | dwInd | [in] Specify index of the assigned object.

Returns:
  pbstrName [out,retval] Returns name id of the object.

HRESULT IRdNtCtxInfo::FindByName | ( | [in] BSTR | bstrName,
|  | [out, retval] RtDWORD * | pdwInd |
| ) |  |  |

FindByName. Find storage index of an object by its name id.

Parameters:

  | bstrName | [in] Specify name id of the object.

Returns:
  pdwInd [out,retval] Returns storage index of the object.